# CoinBigIndexArrayWithLength Class Reference

CoinBigIndex * version. More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinBigIndexArrayWithLength:
[legend]
Collaboration diagram for CoinBigIndexArrayWithLength:
[legend]

List of all members.

## Public Member Functions
Get methods.
int | getSize () const
| Get the size.
CoinBigIndex * | array () const
| Get Array.
Set methods
void | setSize (int value)
| Set the size.
Condition methods
CoinBigIndex * | conditionalNew (int sizeWanted)
| Conditionally gets new array.
Constructors and destructors
| CoinBigIndexArrayWithLength ()
| Default constructor - NULL.
| CoinBigIndexArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1.
| CoinBigIndexArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.
| CoinBigIndexArrayWithLength (const CoinBigIndexArrayWithLength &rhs)
| Copy constructor.
| CoinBigIndexArrayWithLength (const CoinBigIndexArrayWithLength *rhs)
| Copy constructor.2.
CoinBigIndexArrayWithLength & | operator= (const CoinBigIndexArrayWithLength &rhs)
| Assignment operator.

## Detailed Description

CoinBigIndex * version.

Definition at line 833 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( |  | ) | `[inline]`

Default constructor - NULL.

Definition at line 863 of file CoinIndexedVector.hpp.

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( | int | size | ) | `[inline]`

Alternate Constructor - length in bytes - size_ -1.

Definition at line 866 of file CoinIndexedVector.hpp.

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( | int | size,
|  | int | mode |
| ) |  |  | `[inline]`

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 872 of file CoinIndexedVector.hpp.

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( | const CoinBigIndexArrayWithLength & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 875 of file CoinIndexedVector.hpp.

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( | const CoinBigIndexArrayWithLength * | rhs | ) | `[inline]`

Copy constructor.2.

Definition at line 878 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinBigIndexArrayWithLength::getSize | ( |  | ) | const`[inline]`

Get the size.

Reimplemented from CoinArrayWithLength.

Definition at line 839 of file CoinIndexedVector.hpp.

CoinBigIndex* CoinBigIndexArrayWithLength::array | ( |  | ) | const`[inline]`

Get Array.

Reimplemented from CoinArrayWithLength.

Definition at line 842 of file CoinIndexedVector.hpp.

void CoinBigIndexArrayWithLength::setSize | ( | int | value | ) | `[inline]`

Set the size.

Reimplemented from CoinArrayWithLength.

Definition at line 849 of file CoinIndexedVector.hpp.

CoinBigIndex* CoinBigIndexArrayWithLength::conditionalNew | ( | int | sizeWanted | ) | `[inline]`

Conditionally gets new array.

Definition at line 856 of file CoinIndexedVector.hpp.

CoinBigIndexArrayWithLength& CoinBigIndexArrayWithLength::operator= | ( | const CoinBigIndexArrayWithLength & | rhs | ) | `[inline]`

Assignment operator.

Reimplemented from CoinArrayWithLength.

Definition at line 881 of file CoinIndexedVector.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Bcps-0.93.11/CoinUtils/src/CoinIndexedVector.hpp